﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.InquiryDataHelper>
@{
    ViewBag.Title = "InquiryData";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h2>
    Inquiry Data
</h2>
@section scripts
{
    <script type="text/javascript">
        $(document).ready(function () {

            //$("#EnqHandle").val($("#hiddenenqst").val());

            $("#fdate").datepicker();
            $("#tdate").datepicker();

        });

        $("#btnsubmit").click(function () {

            searchfun();
        });

        function searchfun() {

            var dt1 = $("#fdate").val();

            var dt2 = $("#tdate").val();

            window.location.href = "InquiryData?fdate=" + dt1 + "&&tdate=" + dt2;
        }

    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Inquiry Data List
    </h1>
</div>
<ul class="breadcrumb">
    @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <div class="clearfix" align="center">
                <div class="well" style="width: 350px;" align="center">
                    <table style="width: 350px" align="center">
                        @*  <tr>
                                <td style="width: 90px">
                                    <label class="control-label" for="firstName">
                                        <b>Select Enq. Handled By</b>
                                    </label>
                                </td>
                            </tr>*@
                        <tr>
                            <td width="450px">
                                <table width="100%">
                                    <tr>
                                        <td>
                                            From Date
                                        </td>
                                        <td>
                                            To Date
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="date" style="width: 140px" value="@ViewBag.fdate" id="fdate" />
                                        </td>
                                        <td>
                                            <input type="date" style="width: 140px" value="@ViewBag.tdate" id="tdate" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="button" value="Click" class="btn btn-primary" id="btnsubmit" />
                                        </td>
                                    </tr>
                                    @*  <tr>
                                            <td>
                                                @Html.DropDownList("EnqHandle", "Select")
                                                <input type="hidden" value="@ViewBag.ENQHAND" id="hiddenenqst"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <input type="button" value="Click" class="btn btn-primary" id="btnsubmit" />
                                            </td>
                                        </tr>*@
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%"></td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Counselor Name
                        </th>
                        <th>
                            No. of Enquiries Handled
                        </th>
                        <th>
                            No. of Enquiries Converted
                        </th>
                        <th>
                           Conversion(%)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                    string bgcolor = "oddrow";

                    var _lst = Model.Where(z => z.CounselorName != null).ToList();
                    }



                    @foreach (var item in _lst)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        <tr class="@bgcolor">
                            <td>
                                @item.CounselorName
                            </td>
                            <td align="left">
                                @item.enquirieshandled
                            </td>
                            <td>
                                @item.enquiriesconverted
                            </td>
                            <td>
                                @item.percenconversion

                            </td>
                        </tr>
                    }
                    <tr>
                        <td>
                            <b>Total :</b>
                        </td>
                        <td>
                            <b>@ViewBag.totalenqryhandl</b>
                        </td>
                        <td>
                            <b>@ViewBag.totalenquiryconvertered</b>
                        </td>
                        
                    </tr>
                </tbody>
            </table>
            <table>
                <tr>
                    <td>
                        <div id="lazyloading" style="text-align: center; position: relative; margin-top: -30px;">
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>
